package com.myoa.engineering.crawl.ppomppu.processor.domain;

import java.time.Instant;
import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * PpomppuArticle
 *
 * @author Shin Woo-jin (woozu.shin@kakaoent.com)
 * @since 2021-09-08
 */
@Getter
@NoArgsConstructor
public class PpomppuArticle extends Auditable {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    @Column
    private Long articleId;

    @Column
    private String articleUrl;

    @Column
    private String title;

    @Column
    private Integer hit;

    @Column
    private Integer recommended;

    @Column
    private Instant registeredAt;

    @Builder
    public PpomppuArticle(Long id, Long articleId, String articleUrl, String title,
                          Integer recommended, Integer hit, Instant registeredAt) {
        this.id = id;
        this.articleId = articleId;
        this.articleUrl = articleUrl;
        this.title = title;
        this.recommended = recommended;
        this.hit = hit;
        this.registeredAt = registeredAt;
    }

    @Override
    public String toString() {
        return "PpomppuArticle{" +
            "id=" + id +
            ", articleId=" + articleId +
            ", articleUrl='" + articleUrl + '\'' +
            ", title='" + title + '\'' +
            ", hit=" + hit +
            ", recommended=" + recommended +
            ", registeredAt=" + registeredAt +
            '}';
    }
}
